Subject: Re: fetchmail still corrupts files ?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Tue, 16 Apr 2002 16:25:53 +0200

Jason schrieb:

> On Tue, Apr 16, 2002 at 06:55:43AM +0000, Marc Chantreux wrote:
>> I'm trying to use a fetchmail/procmail/rxvt/mutt/vim solution
>> to read my messages. I have two problems :
>> 
>> 1. fetchmail seems to corrupt my boxes. I've found lot of
>> messages in the archive about a bug in W2K but it was for an old
>> version of fetchmail. 
>> 
>> does someone knows if fetchmail-5.9.11 is still bugged ?

> If you are referring to my posts, then fetchmail-5.9.11 will have the
> same issue.  Unfortunately, this cannot be fixed (i.e., worked around
> in Cygwin).  I have been meaning to submit a patch to fetchmail to
> workaround this problem but I haven't found the time yet.  Sigh...

I cannot confirm that fetchmail is guilty.
I use fetchmail to retrieve all my mails and feed them to our SMTP
server.  Then I fetch them from the local POP3 server with my windows
client.  No mails with attachments are corrupted!
So just fetching with fetchmail seems to work ( works for me(tm) )

It seems that another program in the toolchain is
causing that damage.  Mutt?  Procmail?

Maybe it is a problem with piping to procmail?
Should we debug it again?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/